#!/usr/bin/perl -w
# accepts requests from ... to add a given image to the list of "folio" images.
# a third script will read that list and somehow present them.....
# just save the file name off to a flat file, after checking it doesn't already exist.

use CGI qw/:standard/;
use Tie::File;


# file to save the list too
my $folioFiles = "foliofiles.list"; 





my $q = new CGI;

my $nomImage = $q->param("img");
# now strip out the http://is.beeroclock or www.tweak parts....
$nomImage =~ s!http://is.beeroclock.net!!;
$nomImage =~ s!http://www.tweak.net.au!!;
$nomImage =~ s!http://egri!!; # stupid stupid failure to do nat passthrough/loopback


print header;
print start_html(-title => "Thanks for voting!");
print h1("Thanks for voting!");

tie @list, 'Tie::File', $folioFiles or die "Couldn't tie the folio list";

my $dupeCount = grep m!$nomImage!, @list;
if ($dupeCount >= 1) {
    print "That file already exists, so I've skipped it for now, thanks though!";
} else {
    my $valuePair = $nomImage . ":" .  $q->remote_host;
    push @list, $valuePair;
    print "cool, I've added that to the list....";
}


untie @list;

